function J = JGiv(a,b)
%
% J = JGiv(a,b) computes the c and s values of the Givens rotation matrix.
%             
% Input arguments:
%    a --- real number. It's the upper matrix element.  
%    b --- real number. It's the lower matrix element (that will be turned to 0).
%
% Output arguments:
%    J --- 2 by 2 matrix. It is [c s; -s c]. 

% Copyright (c) 2007. Xiao-Wen Chang and Mazen Al Borno
% Version 1.0,  May 2007.


if b == 0,  % no modifications needed. 
c = 1;
s=0;
else
r = sqrt(a^2+b^2);
s = b/r;
c=a/r;
end

J = [c s;-s c];


