function  z = bilsExample(m,n)
%
% z = bilsExample(m,n) produces the solution to a random BILS problem min_{z}||y-W*z||^2,
% where z is constrained to l <= z <= u.  This is a  small example on how to use  the BILS.m 
% routine
%
% Input arguments:
%   m ---- Number of rows of matrix W
%   n ---- Number of columns of matrix W
%
% Output arguments:
%   z ---- n-dimensional vector.  It's the solution to the BILS problem
%
    
W = randn(m,n)*6+2;
x = floor(randn(n,1)*5+2);
v = randn(m,1)*10^-3; % noise vector
y = W*x+v;

l = ones(n,1)*-5; % lower-bound vector
u = ones(n,1)*9;  % upper-bound vector

z  = BILS(W,y,l,u);



