function [R y]=positive_diag(R,y)

% [R,y] = positive_diag(R,y)
%
% Input arguments:
%    R --- n by n real matrix with full column rank
%    y --- m-dimensional real vector
%
% Output arguments:
%    R --- n by n real matrix with positive diagonal entries
%    y --- m-dimensional real vector.  It's the updated value of y  

% Copyright (c) 2007. Xiao-Wen Chang and Mazen Al Borno
% Version 1.0, June 2007.

n = size(R,1);

for i=1:1:n
    if R(i,i) < 0
       % if a diagonal entry of R is negative, multiply it's row by -1. 
       R(i,i:n) = R(i,i:n)*-1;
       % Update y
       y(i,:) = y(i,:)*-1;
    end
end

